package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderPlateTypeEnum {


    LAYERBOARD(0, "层板"),
    RISER(1, "立板"),
    BACKBOARD(2, "背板"),
    SELFINCREASINGBOARD(3, "自增板");

    private final Integer type;
    private String description;

    public boolean equals(Integer status) {
        return this.type .equals(status) ;
    }

    public boolean equals(OrderPlateTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.type .equals(this.getType()) ;
    }


}
